List Fingerprints Approved for the Connection
Returns the list of approved SSH fingerprints for specified connection
Request schema
Path parameters
The unique identifier of the connection. Retrieve it from the id field in the List All Connections response, or from the id field returned when you Create a Connection.
Query parameters
Paging cursor, read more about pagination
Number of records to fetch per page. Accepts a number in the range 1..1000; the default value is 100.
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
GET /v1/connections/4107c213907114059a5544ad8fa66c52/fingerprints?cursor=cursor_value&limit=100 HTTP/1.1 Accept: application/json Authorization: BasicHost: api.fivetran.com
Responses
200
Response status code
Response status text
The collection of returned items
The unique identifier of the fingerprint (Base64URL encoded hash of the fingerprint).
Hash of the fingerprint.
The SSH public key.
Date when fingerprint has been validated and approved.
The unique identified for the user who has approved the fingerprint.
The value of the cursor parameter for the next page
{ "code": "Success", "message": "Connection fingerprints retrieved successfully", "data": { "items": [ { "id": "Y29ubmVjdG9yIGZpbmdlcnByaW50IGhhc2g", "hash": "eUtPirI6yy...", "public_key": "ssh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQC6 ... fivetran user key", "validated_date": "2024-01-01T00:00:00Z", "validated_by": "user_id" } ], "next_cursor": "cursor_value" } }